# EnemyDamageBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EnemyDamageBoosterModifier

#### Hierarchy

- EnemyDamageMultiplierModifier
  - EnemyDamageBoosterModifier

- Defined in src/modifier/modifier.ts:2117

#####
Index

### Constructors

constructor

### Properties

damageMultiplier
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new EnemyDamageBoosterModifier(type, boostPercent, stackCount?): EnemyDamageBoosterModifier

- #### Parameters

  - type: ModifierType
  - boostPercent: number
  - `Optional` stackCount: number

  #### Returns EnemyDamageBoosterModifier

  Overrides EnemyDamageMultiplierModifier.constructor

  - Defined in src/modifier/modifier.ts:2118

## Properties

### `Protected` damageMultiplier

damageMultiplier: number

Inherited from EnemyDamageMultiplierModifier.damageMultiplier

- Defined in src/modifier/modifier.ts:2098

### stackCount

stackCount: number

Inherited from EnemyDamageMultiplierModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### type

type: ModifierType

Inherited from EnemyDamageMultiplierModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from EnemyDamageMultiplierModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from EnemyDamageMultiplierModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from EnemyDamageMultiplierModifier.apply

  - Defined in src/modifier/modifier.ts:2106

### clone

- clone(): EnemyDamageBoosterModifier

- #### Returns EnemyDamageBoosterModifier

  Overrides EnemyDamageMultiplierModifier.clone

  - Defined in src/modifier/modifier.ts:2127

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides EnemyDamageMultiplierModifier.getArgs

  - Defined in src/modifier/modifier.ts:2131

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from EnemyDamageMultiplierModifier.getIcon

  - Defined in src/modifier/modifier.ts:192

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from EnemyDamageMultiplierModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxStackCount

- getMaxStackCount(scene): number

- #### Parameters

  - scene: default

  #### Returns number

  Overrides EnemyDamageMultiplierModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:2135

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from EnemyDamageMultiplierModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyDamageMultiplierModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from EnemyDamageMultiplierModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:188

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides EnemyDamageMultiplierModifier.match

  - Defined in src/modifier/modifier.ts:2123

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from EnemyDamageMultiplierModifier.shouldApply

  - Defined in src/modifier/modifier.ts:131